Package org.codehaus.janino

# Interface Visitor.LvalueVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.LvalueVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.Lvalue`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAmbiguousName(Java.AmbiguousName an)`
Invoked by `Java.AmbiguousName.accept(Visitor.LvalueVisitor)`
`R`
`visitArrayAccessExpression(Java.ArrayAccessExpression aae)`
Invoked by `Java.ArrayAccessExpression.accept(Visitor.LvalueVisitor)`
`R`
`visitFieldAccess(Java.FieldAccess fa)`
Invoked by `Java.FieldAccess.accept(Visitor.LvalueVisitor)`
`R`
`visitFieldAccessExpression(Java.FieldAccessExpression fae)`
Invoked by `Java.FieldAccessExpression.accept(Visitor.LvalueVisitor)`
`R`
`visitLocalVariableAccess(Java.LocalVariableAccess lva)`
Invoked by `Java.LocalVariableAccess.accept(Visitor.LvalueVisitor)`
`R`
`visitParenthesizedExpression(Java.ParenthesizedExpression pe)`
Invoked by `Java.ParenthesizedExpression.accept(Visitor.LvalueVisitor)`
`R`
`visitSuperclassFieldAccessExpression(Java.SuperclassFieldAccessExpression scfae)`
Invoked by `Java.SuperclassFieldAccessExpression.accept(Visitor.LvalueVisitor)`

## Method Details

### visitAmbiguousName

@Nullable R visitAmbiguousName(Java.AmbiguousName an) throws EX
Invoked by `Java.AmbiguousName.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`

### visitArrayAccessExpression

@Nullable R visitArrayAccessExpression(Java.ArrayAccessExpression aae) throws EX
Invoked by `Java.ArrayAccessExpression.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`

### visitFieldAccess

@Nullable R visitFieldAccess(Java.FieldAccess fa) throws EX
Invoked by `Java.FieldAccess.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`

### visitFieldAccessExpression

@Nullable R visitFieldAccessExpression(Java.FieldAccessExpression fae) throws EX
Invoked by `Java.FieldAccessExpression.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`

### visitSuperclassFieldAccessExpression

@Nullable R visitSuperclassFieldAccessExpression(Java.SuperclassFieldAccessExpression scfae) throws EX
Invoked by `Java.SuperclassFieldAccessExpression.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`

### visitLocalVariableAccess

@Nullable R visitLocalVariableAccess(Java.LocalVariableAccess lva) throws EX
Invoked by `Java.LocalVariableAccess.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`

### visitParenthesizedExpression

@Nullable R visitParenthesizedExpression(Java.ParenthesizedExpression pe) throws EX
Invoked by `Java.ParenthesizedExpression.accept(Visitor.LvalueVisitor)`

Throws:
  `EX`